Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIExtendedDataTable

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.UIDataAdaptor
                  org.richfaces.component.UISequence
                      org.richfaces.component.UIDataTableBase
                          org.richfaces.component.AbstractExtendedDataTable
                              org.richfaces.component.UIExtendedDataTable

All Implemented Interfaces:
  EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.NamingContainer, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.UniqueIdVendor, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListener, javax.faces.event.SystemEventListenerHolder, org.ajax4jsf.component.IterationStateHolder, org.richfaces.component.MetaComponentEncoder, org.richfaces.component.MetaComponentResolver, org.richfaces.component.Row

    @Generated(value={"RichFaces CDK","4.3.0.Final"})
    public class UIExtendedDataTable

extends AbstractExtendedDataTable
implements javax.faces.component.behavior.ClientBehaviorHolder, org.richfaces.component.MetaComponentEncoder, org.richfaces.component.MetaComponentResolver

The <rich:extendedDataTable> component builds on the functionality of the <rich:dataTable> component, adding features such as scrolling for the table body (both horizontal and vertical), Ajax loading for vertical scrolling, frozen columns, row selection, and rearranging of columns. It also supports all the basic table features such as sorting, filtering, and paging using the <rich:dataScroller> component.

Author:
  Konstantin Mishin

Nested Class Summary
`protected static class` | `UIExtendedDataTable.Properties`

Nested classes/interfaces inherited from class org.richfaces.component.AbstractExtendedDataTable
`AbstractExtendedDataTable.PropertyKeys`

Nested classes/interfaces inherited from class org.richfaces.component.UIDataAdaptor
`UIDataAdaptor.ComponentVisitor`

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class org.richfaces.component.AbstractExtendedDataTable
`OLD_CLIENT_FIRST, SCROLL, SUBMITTED_CLIENT_FIRST`

Fields inherited from class org.richfaces.component.UIDataTableBase
`BODY, FOOTER, FOOTER_FACET_NAME, HEADER, HEADER_FACET_NAME, NODATA_FACET_NAME`

Fields inherited from class org.richfaces.component.UIDataAdaptor
`decodeVisitor, updateVisitor, validateVisitor`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Fields inherited from interface org.richfaces.component.MetaComponentResolver
`META_COMPONENT_SEPARATOR_CHAR`

Fields inherited from interface javax.faces.component.NamingContainer
`SEPARATOR_CHAR`

Constructor Summary
`UIExtendedDataTable()`

Method Summary
`String` | `getColumnClasses()` Assigns one or more space-separated CSS class names to the columns of the table.
`String[]` | `getColumnsOrder()` Determines the order in which the columns should be rendered, left to right.
`String` | `getDefaultEventName()`
`Collection<String>` | `getEventNames()`
`String` | `getFamily()`
`String` | `getFilterVar()` Name of the variable used in EL expression provided in filterExpression in order to decide about displaying particular row.
`javax.faces.component.UIComponent` | `getFooter()` The footer of the table
`String` | `getFooterClass()` Assigns one or more space-separated CSS class names to the table footer
`int` | `getFrozenColumns()` Determines how many columns should not be vertically scrollable (should be "frozen").
`javax.faces.component.UIComponent` | `getHeader()` The header of the table
`String` | `getHeaderClass()` Assigns one or more space-separated CSS class names to the table header
`javax.faces.component.UIComponent` | `getNoData()` The content to be displayed when table contains no rows (no data provided).
`String` | `getNoDataLabel()` The label to be displayed when table contains no rows (no data provided).
`String` | `getOnbeforeselectionchange()` The client-side script method to be called before the selection is changed.
`String` | `getOnready()` The client-side script method to be called after the EDT has been initialized, either after a page load, and an ajax update.
`String` | `getOnrowclick()`
`String` | `getOnrowdblclick()`
`String` | `getOnrowkeydown()`
`String` | `getOnrowkeypress()`
`String` | `getOnrowkeyup()`
`String` | `getOnrowmousedown()`
`String` | `getOnrowmousemove()`
`String` | `getOnrowmouseout()`
`String` | `getOnrowmouseover()`
`String` | `getOnrowmouseup()`
`String` | `getOnselectionchange()` The client-side script method to be called after the selection is changed.
`String` | `getRowClass()` Assigns one or more space-separated CSS class names to the table cells
`String` | `getRowClasses()` Assigns one or more space-separated CSS class names to the rows of the table.
`Collection<Object>` | `getSelection()` The collection of keys for currently selected table rows (generated from data model by rowKeyConverter).
`org.richfaces.model.SelectionMode` | `getSelectionMode()` Defines selection mode for the table: none, single (only one row can be selected), multiple (Ctrl/Shift keys are used for multi-selection), multipleKeyboardFree (clicks are used for multi-selection)
`org.richfaces.model.SortMode` | `getSortMode()` Specifies when table will be sorted according to one column (single) or multiple columns (multi).
`Collection<Object>` | `getSortPriority()` Comma-separated list of column names determining priority of row sorting.
`String` | `getStyle()`
`String` | `getStyleClass()`
`String` | `getTableState()` ValueBinding pointing at a property of a String to hold table state
`void` | `setColumnClasses(String columnClasses)`
`void` | `setColumnsOrder(String[] columnsOrder)`
`void` | `setFilterVar(String filterVar)`
`void` | `setFooter(javax.faces.component.UIComponent facet)`
`void` | `setFooterClass(String footerClass)`
`void` | `setFrozenColumns(int frozenColumns)`
`void` | `setHeader(javax.faces.component.UIComponent facet)`
`void` | `setHeaderClass(String headerClass)`
`void` | `setNoData(javax.faces.component.UIComponent facet)`
`void` | `setNoDataLabel(String noDataLabel)`
`void` | `setOnbeforeselectionchange(String onbeforeselectionchange)`
`void` | `setOnready(String onready)`
`void` | `setOnrowclick(String onrowclick)`
`void` | `setOnrowdblclick(String onrowdblclick)`
`void` | `setOnrowkeydown(String onrowkeydown)`
`void` | `setOnrowkeypress(String onrowkeypress)`
`void` | `setOnrowkeyup(String onrowkeyup)`
`void` | `setOnrowmousedown(String onrowmousedown)`
`void` | `setOnrowmousemove(String onrowmousemove)`
`void` | `setOnrowmouseout(String onrowmouseout)`
`void` | `setOnrowmouseover(String onrowmouseover)`
`void` | `setOnrowmouseup(String onrowmouseup)`
`void` | `setOnselectionchange(String onselectionchange)`
`void` | `setRowClass(String rowClass)`
`void` | `setRowClasses(String rowClasses)`
`void` | `setSelection(Collection<Object> selection)`
`void` | `setSelectionMode(org.richfaces.model.SelectionMode selectionMode)`
`void` | `setSortMode(org.richfaces.model.SortMode sortMode)`
`void` | `setSortPriority(Collection<Object> sortPriority)`
`void` | `setStyle(String style)`
`void` | `setStyleClass(String styleClass)`
`void` | `setTableState(String tableState)`

Methods inherited from class org.richfaces.component.AbstractExtendedDataTable
`encodeMetaComponent, getActualFirst, getActualRows, getClientFirst, getClientRows, resolveClientId, setClientFirst, setClientRows, setFirst, setValueBinding, setValueExpression, visitDataChildren`

Methods inherited from class org.richfaces.component.UIDataTableBase
`addFilteringListener, addSortingListener, columns, createExtendedDataModel, dataChildren, fixedChildren, getFilteringListeners, getRendersChildren, getSortingListeners, getSupportedMetaComponents, hasRowChildren, isColumnFacetPresent, queueEvent, removeFilteringListener, removeSortingListener, restoreChildState, substituteUnresolvedClientId, visitFixedChildren, walk`

Methods inherited from class org.richfaces.component.UISequence
`captureOrigValue, createComponentState, createFacesModel, getFirst, getIterationStatusVar, getRelativeClientId, getRelativeRowIndex, getRowIndex, getRowKeyConverter, getRows, getValue, preEncodeBegin, restoreOrigValue, setIterationStatusVar, setRows, setupVariable, setValue, updateState, updateState`

Methods inherited from class org.richfaces.component.UIDataAdaptor
`allFixedChildren, broadcast, clearExtendedDataModel, clearInitialState, createUniqueId, doUpdate, extractKeySegment, getComponentState, getContainerClientId, getContainerClientId, getExtendedDataModel, getIterationState, getLocalComponentState, getRowCount, getRowData, getRowKey, getRowKeyVar, getStateVar, getVar, getVariablesMap, invokeOnComponent, invokeOnRow, isKeepSaved, isListenerForSource, isRowAvailable, iterate, keepSaved, markInitialState, preDecode, preUpdate, preValidate, processDecodes, processDecodesChildren, processEvent, processEvent, processUpdates, processUpdatesChildren, processValidatesChildren, processValidators, resetChildState, resetDataModel, restoreChildState, restoreState, saveChildState, saveChildState, saveState, setExtendedDataModel, setId, setIterationState, setKeepSaved, setRowKey, setRowKey, setRowKeyConverter, setRowKeyVar, setStateVar, setVar, visitDataChildrenMetaComponents, visitTree, walk, wrapEvent`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setParent, setRendered, setRendererType, setTransient, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, pushComponentToEL, restoreTransientState, saveTransientState, setInView`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder
`addClientBehavior, getClientBehaviors`

Methods inherited from interface org.richfaces.component.MetaComponentEncoder
`encodeMetaComponent`

Methods inherited from interface org.richfaces.component.MetaComponentResolver
`resolveClientId, substituteUnresolvedClientId`

Methods inherited from interface org.richfaces.component.Row
`setRowKey, walk`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UIExtendedDataTable

    public UIExtendedDataTable()

Method Detail

### getFamily

    public String getFamily()

  Overrides:
    `getFamily` in class `UIDataAdaptor`

### getEventNames

    public Collection<String> getEventNames()

  Specified by:
    `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getEventNames` in class `javax.faces.component.UIComponentBase`

### getDefaultEventName

    public String getDefaultEventName()

  Specified by:
    `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

### getColumnClasses

    public String getColumnClasses()

  Description copied from class: `UIDataTableBase`
  Assigns one or more space-separated CSS class names to the columns of the table. If the CSS class names are comma-separated, each class will be assigned to a particular column in the order they follow in the attribute. If you have less class names than columns, the class will be applied to every n-fold column where n is the order in which the class is listed in the attribute. If there are more class names than columns, the overflow ones are ignored.

  Specified by:
    `getColumnClasses` in class `UIDataTableBase`

### setColumnClasses

    public void setColumnClasses(String columnClasses)

### getColumnsOrder

    public String[] getColumnsOrder()

  Description copied from class: `AbstractExtendedDataTable`
  Determines the order in which the columns should be rendered, left to right. The Strings are the ids of the columns.

  Specified by:
    `getColumnsOrder` in class `AbstractExtendedDataTable`

### setColumnsOrder

    public void setColumnsOrder(String[] columnsOrder)

### getFilterVar

    public String getFilterVar()

  Description copied from class: `UIDataTableBase`
  Name of the variable used in EL expression provided in filterExpression in order to decide about displaying particular row.

  Specified by:
    `getFilterVar` in class `UIDataTableBase`

### setFilterVar

    public void setFilterVar(String filterVar)

### getFooterClass

    public String getFooterClass()

  Description copied from class: `UIDataTableBase`
  Assigns one or more space-separated CSS class names to the table footer

  Specified by:
    `getFooterClass` in class `UIDataTableBase`

### setFooterClass

    public void setFooterClass(String footerClass)

### getFrozenColumns

    public int getFrozenColumns()

  Description copied from class: `AbstractExtendedDataTable`
  Determines how many columns should not be vertically scrollable (should be "frozen").

  Specified by:
    `getFrozenColumns` in class `AbstractExtendedDataTable`

### setFrozenColumns

    public void setFrozenColumns(int frozenColumns)

### getHeaderClass

    public String getHeaderClass()

  Description copied from class: `UIDataTableBase`
  Assigns one or more space-separated CSS class names to the table header

  Specified by:
    `getHeaderClass` in class `UIDataTableBase`

### setHeaderClass

    public void setHeaderClass(String headerClass)

### getNoDataLabel

    public String getNoDataLabel()

  Description copied from class: `UIDataTableBase`
  The label to be displayed when table contains no rows (no data provided).

  Specified by:
    `getNoDataLabel` in class `UIDataTableBase`

### setNoDataLabel

    public void setNoDataLabel(String noDataLabel)

### getOnbeforeselectionchange

    public String getOnbeforeselectionchange()

  Description copied from class: `AbstractExtendedDataTable`
  The client-side script method to be called before the selection is changed.

  Specified by:
    `getOnbeforeselectionchange` in class `AbstractExtendedDataTable`

### setOnbeforeselectionchange

    public void setOnbeforeselectionchange(String onbeforeselectionchange)

### getOnready

    public String getOnready()

  Description copied from class: `AbstractExtendedDataTable`
  The client-side script method to be called after the EDT has been initialized, either after a page load, and an ajax update.

  Specified by:
    `getOnready` in class `AbstractExtendedDataTable`

### setOnready

    public void setOnready(String onready)

### getOnrowclick

    public String getOnrowclick()

  Specified by:
    `getOnrowclick` in class `UIDataTableBase`

### setOnrowclick

    public void setOnrowclick(String onrowclick)

### getOnrowdblclick

    public String getOnrowdblclick()

  Specified by:
    `getOnrowdblclick` in class `UIDataTableBase`

### setOnrowdblclick

    public void setOnrowdblclick(String onrowdblclick)

### getOnrowkeydown

    public String getOnrowkeydown()

  Specified by:
    `getOnrowkeydown` in class `UIDataTableBase`

### setOnrowkeydown

    public void setOnrowkeydown(String onrowkeydown)

### getOnrowkeypress

    public String getOnrowkeypress()

  Specified by:
    `getOnrowkeypress` in class `UIDataTableBase`

### setOnrowkeypress

    public void setOnrowkeypress(String onrowkeypress)

### getOnrowkeyup

    public String getOnrowkeyup()

  Specified by:
    `getOnrowkeyup` in class `UIDataTableBase`

### setOnrowkeyup

    public void setOnrowkeyup(String onrowkeyup)

### getOnrowmousedown

    public String getOnrowmousedown()

  Specified by:
    `getOnrowmousedown` in class `UIDataTableBase`

### setOnrowmousedown

    public void setOnrowmousedown(String onrowmousedown)

### getOnrowmousemove

    public String getOnrowmousemove()

  Specified by:
    `getOnrowmousemove` in class `UIDataTableBase`

### setOnrowmousemove

    public void setOnrowmousemove(String onrowmousemove)

### getOnrowmouseout

    public String getOnrowmouseout()

  Specified by:
    `getOnrowmouseout` in class `UIDataTableBase`

### setOnrowmouseout

    public void setOnrowmouseout(String onrowmouseout)

### getOnrowmouseover

    public String getOnrowmouseover()

  Specified by:
    `getOnrowmouseover` in class `UIDataTableBase`

### setOnrowmouseover

    public void setOnrowmouseover(String onrowmouseover)

### getOnrowmouseup

    public String getOnrowmouseup()

  Specified by:
    `getOnrowmouseup` in class `UIDataTableBase`

### setOnrowmouseup

    public void setOnrowmouseup(String onrowmouseup)

### getOnselectionchange

    public String getOnselectionchange()

  Description copied from class: `AbstractExtendedDataTable`
  The client-side script method to be called after the selection is changed.

  Specified by:
    `getOnselectionchange` in class `AbstractExtendedDataTable`

### setOnselectionchange

    public void setOnselectionchange(String onselectionchange)

### getRowClass

    public String getRowClass()

  Description copied from class: `UIDataTableBase`
  Assigns one or more space-separated CSS class names to the table cells

  Specified by:
    `getRowClass` in class `UIDataTableBase`

### setRowClass

    public void setRowClass(String rowClass)

### getRowClasses

    public String getRowClasses()

  Description copied from class: `UIDataTableBase`
  Assigns one or more space-separated CSS class names to the rows of the table. If the CSS class names are comma-separated, each class will be assigned to a particular row in the order they follow in the attribute. If you have less class names than rows, the class will be applied to every n-fold row where n is the order in which the class is listed in the attribute. If there are more class names than rows, the overflow ones are ignored.

  Specified by:
    `getRowClasses` in class `UIDataTableBase`

### setRowClasses

    public void setRowClasses(String rowClasses)

### getSelection

    public Collection<Object> getSelection()

  Description copied from class: `AbstractExtendedDataTable`
  The collection of keys for currently selected table rows (generated from data model by rowKeyConverter).

  Specified by:
    `getSelection` in class `AbstractExtendedDataTable`

### setSelection

    public void setSelection(Collection<Object> selection)

### getSelectionMode

    public org.richfaces.model.SelectionMode getSelectionMode()

  Description copied from class: `AbstractExtendedDataTable`
  Defines selection mode for the table: none, single (only one row can be selected), multiple (Ctrl/Shift keys are used for multi-selection), multipleKeyboardFree (clicks are used for multi-selection)

  Specified by:
    `getSelectionMode` in class `AbstractExtendedDataTable`

### setSelectionMode

    public void setSelectionMode(org.richfaces.model.SelectionMode selectionMode)

### getSortMode

    public org.richfaces.model.SortMode getSortMode()

  Description copied from class: `UIDataTableBase`
  Specifies when table will be sorted according to one column (single) or multiple columns (multi).

  Specified by:
    `getSortMode` in class `UIDataTableBase`

### setSortMode

    public void setSortMode(org.richfaces.model.SortMode sortMode)

### getSortPriority

    public Collection<Object> getSortPriority()

  Description copied from class: `UIDataTableBase`
  Comma-separated list of column names determining priority of row sorting.

  Specified by:
    `getSortPriority` in class `UIDataTableBase`

### setSortPriority

    public void setSortPriority(Collection<Object> sortPriority)

### getStyle

    public String getStyle()

  Specified by:
    `getStyle` in class `UIDataTableBase`

### setStyle

    public void setStyle(String style)

### getStyleClass

    public String getStyleClass()

  Specified by:
    `getStyleClass` in class `AbstractExtendedDataTable`

### setStyleClass

    public void setStyleClass(String styleClass)

### getTableState

    public String getTableState()

  Description copied from class: `AbstractExtendedDataTable`
  ValueBinding pointing at a property of a String to hold table state

  Specified by:
    `getTableState` in class `AbstractExtendedDataTable`

### setTableState

    public void setTableState(String tableState)

### getFooter

    public javax.faces.component.UIComponent getFooter()

  Description copied from class: `UIDataTableBase`
  The footer of the table

  Specified by:
    `getFooter` in class `UIDataTableBase`

### setFooter

    public void setFooter(javax.faces.component.UIComponent facet)

### getNoData

    public javax.faces.component.UIComponent getNoData()

  Description copied from class: `UIDataTableBase`
  The content to be displayed when table contains no rows (no data provided).

  Specified by:
    `getNoData` in class `UIDataTableBase`

### setNoData

    public void setNoData(javax.faces.component.UIComponent facet)

### getHeader

    public javax.faces.component.UIComponent getHeader()

  Description copied from class: `UIDataTableBase`
  The header of the table

  Specified by:
    `getHeader` in class `UIDataTableBase`

### setHeader

    public void setHeader(javax.faces.component.UIComponent facet)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.